Home » Java programming language

Java Package isCompatibleWith() method with example

Package Class isCompatibleWith() method: Here, we are going to learn about the isCompatibleWith() method of Package Class with its syntax and example.
Submitted by Preeti Jain, on December 04, 2019

Package Class isCompatibleWith() method

  • isCompatibleWith() method is available in java.lang package.
  • isCompatibleWith() method is used to check the specification version of this package with the specification version of the desired or given package.
  • isCompatibleWith() method is a non-static method, it is accessible with the class object only and if we try to access the method with the class name then we will get an error.
  • isCompatibleWith() method may throw an exception at the time of comprising the package specification version.
    NumberFormatException: In this exception, when the desired package specification version or current package specification version is not in the correct format.

Syntax:

    public boolean isCompatibleWith(String des_pck_ver);

Parameter(s):

  • String des_pck_ver – represents the specification version of the desired package.

Return value:

The return type of this method is boolean, it returns the following values based on the given cases,

  • It returns true when this package specification version value is equal to or greater than the specification version of the desired package.
  • It returns false when this package specification version value is less than the specification version of the desired package.

Example:

// Java program to demonstrate the example 
// of boolean isCompatibleWith(String des_pck_ver)
// method of Package 

public class IsCompatibleWith {
    public static void main(String[] args) {
        // Get Package by using getPackage() method
        Package pkg = Package.getPackage("java.util");

        // By using isCompatibleWith(pkg_ver) method is to check 
        // version compatibility of this package with the given version
        boolean pck_ver = pkg.isCompatibleWith("1.4.7");

        // Display compatibility of the package
        System.out.println("pkg.isCompatibleWith(1.4.7) = " + pck_ver);
    }
}

Output

pkg.isCompatibleWith(1.4.7) = false





Comments and Discussions

Ad: Are you a blogger? Join our Blogging forum.





Languages: » C » C++ » C++ STL » Java » Data Structure » C#.Net » Android » Kotlin » SQL
Web Technologies: » PHP » Python » JavaScript » CSS » Ajax » Node.js » Web programming/HTML
Solved programs: » C » C++ » DS » Java » C#
Aptitude que. & ans.: » C » C++ » Java » DBMS
Interview que. & ans.: » C » Embedded C » Java » SEO » HR
CS Subjects: » CS Basics » O.S. » Networks » DBMS » Embedded Systems » Cloud Computing
» Machine learning » CS Organizations » Linux » DOS
More: » Articles » Puzzles » News/Updates


© https://www.includehelp.com some rights reserved.